package cn.com.poc.equity.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.equity.entity.BizMemberEquityEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizMemberEquityService extends BaseService {

    BizMemberEquityEntity get(java.lang.Long id) throws Exception;

    BizMemberEquityEntity getByMemberId(java.lang.Long memberId) throws Exception;

    List<BizMemberEquityEntity> findByExample(BizMemberEquityEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizMemberEquityEntity save(BizMemberEquityEntity entity) throws Exception;

    BizMemberEquityEntity update(BizMemberEquityEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;
    
}